package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.TBusiControlTermMapper;
import com.goldenwater.slaj.hazard.domain.TBusiControlTerm;
import com.goldenwater.slaj.hazard.service.ITBusiControlTermService;

/**
 * 管控条件 服务层实现
 */
@Service
public class TBusiControlTermServiceImpl implements ITBusiControlTermService {

    @Autowired
    private TBusiControlTermMapper tBusiControlTermMapper;

    @Override
    public TBusiControlTerm selectTBusiControlTermByGuid(String guid) {
        return tBusiControlTermMapper.selectTBusiControlTermByGuid(guid);
    }

    @Override
    public List<TBusiControlTerm> selectTBusiControlTermList(TBusiControlTerm tBusiControlTerm) {
        return tBusiControlTermMapper.selectTBusiControlTermList(tBusiControlTerm);
    }

    @Override
    public int insertTBusiControlTerm(TBusiControlTerm tBusiControlTerm) {
        return tBusiControlTermMapper.insertTBusiControlTerm(tBusiControlTerm);
    }

    @Override
    public int updateTBusiControlTerm(TBusiControlTerm tBusiControlTerm) {
        return tBusiControlTermMapper.updateTBusiControlTerm(tBusiControlTerm);
    }

    @Override
    public int deleteTBusiControlTermByGuid(String guid) {
        return tBusiControlTermMapper.deleteTBusiControlTermByGuid(guid);
    }

    @Override
    public int deleteTBusiControlTermByGuids(String[] guids) {
        return tBusiControlTermMapper.deleteTBusiControlTermByGuids(guids);
    }
}
